Class | Spec::Mocks::NegativeMessageExpectation
In: | lib/spec/mocks/message_expectation.rb
Parent: | MessageExpectation

### Methods

negative_expectation_for? new

### Public Class methods

new(message, expectation_ordering, expected_from, sym, method_block)

[Source]

         # File lib/spec/mocks/message_expectation.rb, line 281
    281:       def initialize(message, expectation_ordering, expected_from, sym, method_block)
    282:         super(message, expectation_ordering, expected_from, sym, method_block, 0)
    283:       end

### Public Instance methods

negative_expectation_for?(sym)

[Source]

         # File lib/spec/mocks/message_expectation.rb, line 285
    285:       def negative_expectation_for?(sym)
    286:         return @sym == sym
    287:       end

[Validate]